package com.sun.faces.ext.taglib;

import javax.faces.webapp.UIComponentTag;
import javax.faces.application.Application;
import javax.faces.component.UIComponent;
import javax.faces.el.ValueBinding;
import javax.faces.context.FacesContext;


public class FocusTag extends UIComponentTag {
    // Declare a bean property for the hellomsg attribute.

    public String forID = null;


    // Associate the component type.
    @Override
    public String getComponentType() {
        return "com.sun.faces.ext.focus";
    }
    
    
    @Override
    protected void setProperties(UIComponent component) {
        super.setProperties(component);

        // set forID
        if (forID != null) {
            if (isValueReference(forID)) {
                FacesContext context = FacesContext.getCurrentInstance();
                Application app = context.getApplication();
                ValueBinding vb = app.createValueBinding(forID);
                component.setValueBinding("for", vb);
            } else {
                component.getAttributes().put("for", forID);
            }
        }
    }


    // Associate the renderer type - we'll render our own content
    @Override
    public String getRendererType() {
        return null;
    }

    @Override
    public void release() {
        super.release();
        forID = null;
    }

    public void setFor(String forID) {
        this.forID = forID;
    }
    
}